CREATE NODE GROUP(7)

NAME
CREATE_NODE_GROUP - create a group of cluster nodes

SYNOPSIS

CREATE NODE GROUP groupname
WITH ( nodename [, ... ] )

DESCRIPTION

    Note

    The following description applies only to Postgres-XC

CREATE NODE GROUP is new SQL query specific to Postgres-XC since 0.9.7 that creates node group information in catalog pgxc_group.

CREATE NODE only runs on the local node where it is launched.

PARAMETERS

groupname
    The name of the selected cluster node group.

nodename
    The name of a cluster node.

NOTES

A group of nodes works as an alias for node lists when defining tables on sub-clusters. Only Datanode can be included in node groups.

EXAMPLES

Create a cluster node group made of nodes called Datanode1, Datanode2.

    CREATE NODE GROUP cluster_group WITH Datanode1, Datanode2;

COMPATIBILITY

CREATE NODE GROUP does not conform to the SQL standards, it is a Postgres-XC specific command.